Subject: [PATCH] gnu: wireguard: Add support for PresharedKey

From: Paul Alesius <[email-masked]>
Date: Thu, 21 Apr 2022 15:26:30 +0200

The WireGuard configuration supports a PresharedKey attribute for
additional security. This patch adds support for configuring a PresharedKey
attribute.

Tested, working.

With regards,
- Paul